# $Revision: 1.13 $, $Date: 2009/01/14 12:08:31 $
Summary:	AES-encryption tool for tar/cpio and loop-aes images
Summary(pl.UTF-8):	Narzędzie do szyfrowania AES dla tar/cpio i obrazów loop-aes
Name:		aespipe
Version:	2.3e
Release:	1
License:	GPL
Group:		Applications
Source0:	http://loop-aes.sourceforge.net/aespipe/%{name}-v%{version}.tar.bz2
# Source0-md5:	c3109e21e608af2f5ddf11c858520d75
URL:		http://loop-aes.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aespipe is an encryption tool that reads from standard input and
writes to standard output. It uses the AES (Rijndael) cipher.

It can be used as an encryption filter, to create and restore
encrypted tar/cpio backup archives and to read/write and convert
loop-AES compatible encrypted images.

aespipe can be used for non-destructive in-place encryption of
existing disk partitions for use with the loop-AES encrypted loopback
kernel module.

%description -l pl.UTF-8
aespipe to narzędzie do szyfrowania czytające ze standardowego wejścia
i piszące na standardowe wyjście. Używa szyfru AES (Rijndael).

Może być używane jako filtr szyfrujący, do tworzenia i odtwarzania
zaszyfrowanych archiwów kopii zapasowych tar/cpio oraz do
zapisu/odczytu i konwersji zaszyfrowanych obrazów kompatybilnych z
loop-aes.

aespipe może być używane do niedestruktywnego szyfrowania "w miejscu"
istniejących partycji do używania z modułem jądra szyfrowanego systemu
plików po loopbacku loop-AES.

%prep
%setup -q -n %{name}-v%{version}

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make} \
%ifarch %{x8664} 
	amd64
%endif
%ifarch %{ix86}
	x86
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install aespipe $RPM_BUILD_ROOT%{_bindir}
install bz2aespipe $RPM_BUILD_ROOT%{_bindir}
install aespipe.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aespipe.spec,v $
Revision 1.13  2009/01/14 12:08:31  duddits
- up to 2.3e

Revision 1.12  2007/06/03 13:41:00  areq
- 2.3d

Revision 1.11  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.9  2007/02/11 00:47:44  areq
- 2.3c

Revision 1.8  2005/06/18 14:30:26  areq
- 2.3b

Revision 1.7  2005/05/11 14:23:07  qboosh
- ifarch fix

Revision 1.6  2005/01/08 23:13:25  matowy
- up to 2.3a

Revision 1.5  2004/12/25 17:55:31  qboosh
- cleanups

Revision 1.4  2004/11/14 12:43:44  havner
- rel 1

Revision 1.3  2004/09/20 19:27:56  darekr
- updated to 2.2e

Revision 1.2  2004/08/11 19:50:06  qboosh
- pl

Revision 1.1  2004/08/08 12:10:26  areq
- init PLD spec
